Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class CachingParserPool.SynchronizedGrammarPool

    java.lang.Object
      |
      +--weblogic.apache.xerces.parsers.CachingParserPool.SynchronizedGrammarPool

public static final class CachingParserPool.SynchronizedGrammarPool
extends java.lang.Object
implements XMLGrammarPool

Synchronized grammar pool.

Constructor Summary
`CachingParserPool.SynchronizedGrammarPool(XMLGrammarPool grammarPool)` Constructs a synchronized grammar pool.

Method Summary
`void` | `cacheGrammars(java.lang.String grammarType, Grammar[] grammars)`
`void` | `clear()` clear the grammar pool
`void` | `lockPool()` lock the grammar pool
`Grammar` | `retrieveGrammar(XMLGrammarDescription gDesc)`
`Grammar[]` | `retrieveInitialGrammarSet(java.lang.String grammarType)`
`void` | `unlockPool()` unlock the grammar pool

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingParserPool.SynchronizedGrammarPool

    public CachingParserPool.SynchronizedGrammarPool(XMLGrammarPool grammarPool)

  Constructs a synchronized grammar pool.

Method Detail

### retrieveInitialGrammarSet

    public Grammar[] retrieveInitialGrammarSet(java.lang.String grammarType)

  Specified by:
    retrieveInitialGrammarSet in interface XMLGrammarPool

### retrieveGrammar

    public Grammar retrieveGrammar(XMLGrammarDescription gDesc)

  Specified by:
    retrieveGrammar in interface XMLGrammarPool

### cacheGrammars

    public void cacheGrammars(java.lang.String grammarType,
                              Grammar[] grammars)

  Specified by:
    cacheGrammars in interface XMLGrammarPool

### lockPool

    public void lockPool()

  lock the grammar pool
  Specified by:
    lockPool in interface XMLGrammarPool

### clear

    public void clear()

  clear the grammar pool
  Specified by:
    clear in interface XMLGrammarPool

### unlockPool

    public void unlockPool()

  unlock the grammar pool
  Specified by:
    unlockPool in interface XMLGrammarPool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD